Appearance
订单查询
订单批量查询
请求地址:GET
/search/list/order
请求参数
说明:
必须有一个查询条件如果查询条件为时间,范围不能超过一个月
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
uniqueId | String(128) | 选填 | 系统交易 ID |
orderId | String(128) | 选填 | 主订单 ID |
transactionId | String(128) | 选填 | 商户交易请求 ID |
startDate | String(32) | 必填 | 交易查询时间,开始时间格式(2025-01-01/2025-01-01 00:00:00) |
endingDate | String(32) | 必填 | 交易查询时间,结束时间格式(2025-01-01/2025-01-01 00:00:00) |
currPage | Number(20) | 选填 | 请查看分页详情 |
pageSize | Number(3) | 选填 | 请查看分页详情 |
请求实例
https://domain/search/list/order?startDate=2025-01-01&endingDate=2025-01-16&currPage=1返回实例
data中订单参数详情
json
{
"code": 121,
"message": "Search success",
"timestamp": 1677817727833,
"currPage": 1,
"totalCount": 50,
"totalPage": 5,
"pageSize": 10,
"data": [
{
"appId": 21233232321333,
"billDescription": "tttttttest.com",
"code": 100,
"is3d": "false",
"isTest": false,
"message": "successful transaction",
"timestamp": 1765868588119,
"transactionAmount": "101.44",
"transactionAt": "2025-12-15 23:48:39",
"transactionCardNumber": "449210******0028",
"transactionCurrency": "USD",
"transactionId": "bbd12v3283490523845903485",
"transactionMessage": "Approved",
"transactionMethod": "CreditCard",
"uniqueId": "10005938586323"
},
{
......
}
]
}单笔交易查询
请求地址:GET
/search/order/{uniqueId}
请求参数
只接受URL传参uniqueId,其他任何参数都不接受
请求实例
https://domain/search/order/1592743695274926080返回实例
json
{
"code": 101,
"uniqueId": "1631496627003060226",
"appId": 1625420154047475713,
"transactionId": "1677814082",
"transactionCurrency": "USD",
"transactionAmount": "10.00",
"transactionCardNumber": "411111******1111",
"billDescription": "xxx.com",
"transactionMessage": "Declined",
"transactionAt": "2023-03-03 13:29:59",
"message": "transaction failed",
"timestamp": 1677814082360,
"isTest": true
}